### File

`packages/ecl/components/ecl-content-item/ecl-content-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-content-item`
templateUrl | `./ecl-content-item.component.html`

### Index

###### Properties
eclContentBlock eclContentBlockTitle eclContentItemImage eclContentItemPicture eclDateBlock role
###### Methods
getCssClasses
###### Inputs
hasDivider class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

hasDivider
Type : `boolean`
Default value : `false`
Whether to display a divider below the content item. When true, the component will have a visual divider applied. Default is false.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'article'`
ARIA role attribute for the host element. Set to "article" to denote standalone content.

class
Type : `string`
Computes the CSS class string applied to the host element, depending on layout and configuration options.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclContentBlock
Type : `EclContentBlockComponent`
Decorators : `@ContentChild(undefined)`
Reference to projected content block. Used to apply internal styling and structure.

eclContentBlockTitle
Type : `EclContentBlockTitleDirective`
Decorators : `@ContentChild(undefined, {descendants: true})`
Reference to projected title directive inside the content block. Used for linking behavior.

eclContentItemImage
Type : `EclContentItemImageDirective`
Decorators : `@ContentChild(undefined, {descendants: true})`
Reference to projected image directive. Used to bind interaction behavior (click propagation).

eclContentItemPicture
Type : `EclContentItemPictureDirective`
Decorators : `@ContentChild(undefined)`
Reference to projected picture directive, used to determine layout mode (stacked).

eclDateBlock
Type : `EclDateBlockComponent`
Decorators : `@ContentChild(undefined)`
Reference to projected date block component. Used to set styling and determine layout mode.

role
Type : `string`
Default value : `'article'`
Decorators : `@HostBinding('attr.role')`
ARIA role attribute for the host element. Set to "article" to denote standalone content.

### Accessors

cssClasses
get `cssClasses()`
Computes the CSS class string applied to the host element, depending on layout and configuration options. Returns : `string`

# results matching ""

# No results matching ""